package renzhengshouquan

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/mdb"
	"shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/renzhengshouquan/model"
)

type cert struct {
	Table
	order  string `data:"1"`
	fields string `data:"title,content,path,user_uid"`
	upload string `name:"upload" role:"leader"`
	remove string `name:"remove" role:"leader"`
}

func (s cert) Upload(m *ice.Message, arg ...string) {
	m.WarnNotValid(!kit.IsIn(m.OptionDefault(mdb.FIELD, "cert"), "cert"))
	s.UploadCreate(m, model.PATH, m.Option(model.AUTH_UID))
}
func (s cert) List(m *ice.Message, arg ...string) {
	if len(arg) == 1 {
		s.Select(m, model.AUTH_UID, arg[0]).PushAction(s.Remove).Action(s.Upload).Display("").DisplayCSS("")
		s.Button(m, "", s.Upload)
	}
}

func init() { ice.TeamCtxCmd(cert{}) }
